Classes | Namespaces | Macros | Functions
libcdr_utils.h File Reference
`#include <math.h>`
`#include <memory>`
`#include <vector>`
`#include <boost/cstdint.hpp>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes
struct | libcdr::CDRDummyDeleter
class | libcdr::EndOfStreamException
class | libcdr::GenericException
class | libcdr::UnknownPrecisionException
class | libcdr::EncodingException

## Namespaces
| libcdr

## Macros
#define | M_PI 3.14159265358979323846
#define | CDR_EPSILON 1E-6
#define | CDR_ALMOST_ZERO(m) (fabs(m) <= CDR_EPSILON)
#define | CDR_ATTRIBUTE_PRINTF(fmt, arg)
#define | CDR_FALLTHROUGH ((void) 0)
#define | CDR_DEBUG_MSG(M)
#define | CDR_DEBUG(M)

## Functions
template<typename T , typename... Args>
std::unique_ptr< T > | libcdr::make_unique (Args &&... args)
uint8_t | libcdr::readU8 (librevenge::RVNGInputStream *input, bool bigEndian=false)
uint16_t | libcdr::readU16 (librevenge::RVNGInputStream *input, bool bigEndian=false)
uint32_t | libcdr::readU32 (librevenge::RVNGInputStream *input, bool bigEndian=false)
uint64_t | libcdr::readU64 (librevenge::RVNGInputStream *input, bool bigEndian=false)
int32_t | libcdr::readS32 (librevenge::RVNGInputStream *input, bool bigEndian=false)
int16_t | libcdr::readS16 (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | libcdr::readDouble (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | libcdr::readFixedPoint (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned long | libcdr::getLength (librevenge::RVNGInputStream *input)
unsigned long | libcdr::getRemainingLength (librevenge::RVNGInputStream *input)
int | libcdr::cdr_round (double d)
void | libcdr::writeU16 (librevenge::RVNGBinaryData &buffer, const int value)
void | libcdr::writeU32 (librevenge::RVNGBinaryData &buffer, const int value)
void | libcdr::appendCharacters (librevenge::RVNGString &text, std::vector< unsigned char > characters, unsigned short charset)
void | libcdr::appendCharacters (librevenge::RVNGString &text, std::vector< unsigned char > characters)

## Macro Definition Documentation

## ◆ CDR_ALMOST_ZERO

#define CDR_ALMOST_ZERO | ( |  | m | ) | (fabs(m) <= CDR_EPSILON)

## ◆ CDR_ATTRIBUTE_PRINTF

#define CDR_ATTRIBUTE_PRINTF | ( |  | fmt,
|  |  | arg
| ) |  |

## ◆ CDR_DEBUG

#define CDR_DEBUG | ( |  | M | ) |

## ◆ CDR_DEBUG_MSG

#define CDR_DEBUG_MSG | ( |  | M | ) |

## ◆ CDR_EPSILON

#define CDR_EPSILON 1E-6

## ◆ CDR_FALLTHROUGH

#define CDR_FALLTHROUGH ((void) 0)

## ◆ M_PI

#define M_PI 3.14159265358979323846